Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rsa.authagent.authapi.realmstat
Class PriorityList

    java.lang.Object
      com.rsa.authagent.authapi.realmstat.PriorityList

    public class PriorityList

extends java.lang.Object

Constructor Summary
`PriorityList(int size)`

Method Summary
`void` | `addServer(byte priority, int index)`
`int` | `getindex(int i)`
`int` | `getPriority(int index)`
`boolean` | `isEmpty()`
`int` | `length()`
`void` | `removeServer(int index)`
`int` | `selectDifferentRandom()`
`int` | `selectRandom()`
`void` | `setPriority(int priority, int index)`
`java.lang.String` | `toString()`
`void` | `useEachServerOnce()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PriorityList

    public PriorityList(int size)

Method Detail

### addServer

    public void addServer(byte priority,
                          int index)

### removeServer

    public void removeServer(int index)

### useEachServerOnce

    public void useEachServerOnce()

### selectRandom

    public int selectRandom()

### selectDifferentRandom

    public int selectDifferentRandom()

### isEmpty

    public boolean isEmpty()

### getPriority

    public int getPriority(int index)

### setPriority

    public void setPriority(int priority,
                            int index)

### length

    public int length()

### getindex

    public int getindex(int i)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999 - 2011 EMC Corporation. All Rights Reserved.